<?php
/*
Plugin Name: Current Year and Symbols Shortcode
Version: 1.9
Description: Get current year and Symbols with shortcode.
Author: KGM Servizi
Author URI: https://kgmservizi.com
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

function cys_year( $atts ){
    $atts = shortcode_atts(
    array(
        'format' => 'error',
        'offset' => 'none',
    ), $atts, 'y' );
    if ($atts['format'] != 'error') {
        if ($atts['format'] == 'y' || $atts['format'] == 'Y') {
          if ($atts['offset'] != 'none') {
            return date($atts['format'], strtotime('+' . $atts['offset'] . ' years'));
          } else {
            return date($atts['format']);
          }
        } else {
          return $atts['format'] . ' is not a valid year format!';
        }
    } else {
      if ($atts['offset'] != 'none') {
        return date("Y", strtotime('+' . $atts['offset'] . ' years'));
      } else {
        return date("Y");
      }
    }
}
add_shortcode( 'y', 'cys_year' );

function cys_month( $atts ){
    $atts = shortcode_atts(
    array(
        'format' => 'error',
        'offset' => 'none',
    ), $atts, 'm' );
    if ($atts['format'] != 'error') {
        if ($atts['format'] == 'F' || $atts['format'] == 'm' || $atts['format'] == 'M' || $atts['format'] == 'n') {
          if ($atts['offset'] != 'none') {
            return date($atts['format'], strtotime('+' . $atts['offset'] . ' months'));
          } else {
            return date($atts['format']);
          }
        } else {
          return $atts['format'] . ' is not a valid month format!';
        }
    } else {
      if ($atts['offset'] != 'none') {
        return date("F", strtotime('+' . $atts['offset'] . ' months'));
      } else {
        return date("F");
      }
    }
}
add_shortcode( 'm', 'cys_month' );

function cys_day( $atts ){
    $atts = shortcode_atts(
    array(
        'format' => 'error',
        'offset' => 'none',
    ), $atts, 'd' );
    if ($atts['format'] != 'error') {
        if ($atts['format'] == 'd' || $atts['format'] == 'D' || $atts['format'] == 'j' || $atts['format'] == 'N' || $atts['format'] == 'S' || $atts['format'] == 'w' || $atts['format'] == 'z' || $atts['format'] == 't') {
          if ($atts['offset'] != 'none') {
            return date($atts['format'], strtotime('+' . $atts['offset'] . ' days'));
          } else {
            return date($atts['format']);
          }
        } else {
          return $atts['format'] . ' is not a valid day format!';
        }
    } else {
      if ($atts['offset'] != 'none') {
        return date("d", strtotime('+' . $atts['offset'] . ' days'));
      } else {
        return date("d");
      }
    }
}
add_shortcode( 'd', 'cys_day' );

function csy_copy_year( $atts ) {
    $atts = shortcode_atts(
    array(
        'format' => 'error',
    ), $atts, 'cy' );
    if ($atts['format'] != 'error') {
        if ($atts['format'] == 'y' || $atts['format'] == 'Y') {
          return '©' . date($atts['format']);
        } else {
          return $atts['format'] . ' is not a valid year format!';
        }
    } else {
      return '©' . date("Y"); 
    }
}
add_shortcode( 'cy', 'csy_copy_year' );

function csy_copy_year_year( $atts ) {
	$atts = shortcode_atts(
		array(
			'year'   => 'error enter first year, show guide',
      'format' => 'error',
		), $atts, 'cyy' );
    
    if ($atts['format'] != 'error') {
        if ($atts['format'] == 'y') {
            if (date("y") == $atts['year']) {
               return '©' . date("y");
            } else {
               return '©' . $atts['year'] . '-' . date("y");
            }
        } elseif ($atts['format'] == 'Y') {
            if (date("Y") == $atts['year']) {
               return '©' . date("Y");
            } else {
               return '©' . $atts['year'] . '-' . date("Y");
            }
        } else {
          return $atts['format'] . ' is not a valid year format!';
        }
    } else {
        if (date("Y") == $atts['year']) {
           return '©' . date("Y");
        } else {
           return '©' . $atts['year'] . '-' . date("Y");
        }
    }
}
add_shortcode( 'cyy', 'csy_copy_year_year' );

function csy_copy_year_year_long( $atts ) {
	$atts = shortcode_atts(
		array(
			'year'   => 'error enter first year, show guide',
      'format' => 'error',
		), $atts, 'cyyl' );
    
    if ($atts['format'] != 'error') {
        if ($atts['format'] == 'y') {
            if (date("y") == $atts['year']) {
               return 'Copyright ' . date("y");
            } else {
               return 'Copyright ' . $atts['year'] . '-' . date("y");
            }
        } elseif ($atts['format'] == 'Y') {
            if (date("Y") == $atts['year']) {
               return 'Copyright ' . date("Y");
            } else {
               return 'Copyright ' . $atts['year'] . '-' . date("Y");
            }
        } else {
          return $atts['format'] . ' is not a valid year format!';
        }
    } else {
        if (date("Y") == $atts['year']) {
           return 'Copyright ' . date("Y");
        } else {
           return 'Copyright ' . $atts['year'] . '-' . date("Y");
        }
    }
}
add_shortcode( 'cyyl', 'csy_copy_year_year_long' );

function csy_copy_year_year_long_symbol( $atts ) {
	$atts = shortcode_atts(
		array(
			'year'   => 'error enter first year, show guide',
      'format' => 'error',
		), $atts, 'cyyls' );
    
    if ($atts['format'] != 'error') {
        if ($atts['format'] == 'y') {
            if (date("y") == $atts['year']) {
               return '©Copyright ' . date("y");
            } else {
               return '©Copyright ' . $atts['year'] . '-' . date("y");
            }
        } elseif ($atts['format'] == 'Y') {
            if (date("Y") == $atts['year']) {
               return '©Copyright ' . date("Y");
            } else {
               return '©Copyright ' . $atts['year'] . '-' . date("Y");
            }
        } else {
          return $atts['format'] . ' is not a valid year format!';
        }
    } else {
        if (date("Y") == $atts['year']) {
           return '©Copyright ' . date("Y");
        } else {
           return '©Copyright ' . $atts['year'] . '-' . date("Y");
        }
    }
}
add_shortcode( 'cyyls', 'csy_copy_year_year_long_symbol' );

function cys_copy( $atts ){
  return '©';
}
add_shortcode( 'c', 'cys_copy' );

function cys_copylong( $atts ){
  return 'Copyright';
}
add_shortcode( 'cc', 'cys_copylong' );

function cys_registered_trademark( $atts ){
  return '®';
}
add_shortcode( 't', 'cys_registered_trademark' );

function cys_trademark( $atts ){
  return '™';
}
add_shortcode( 'tm', 'cys_trademark' );

function cys_servicemark_trademark( $atts ){
  return '℠';
}
add_shortcode( 'sm', 'cys_servicemark_trademark' );

function cys_retrieve_ip() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return apply_filters('wpb_get_ip', $ip);
}
add_shortcode('show_user_ip', 'cys_retrieve_ip');

?>